<?php
/*
 * $Id: help.php 2147 2008-07-23 09:01:04Z tbelliard $
 *
 * Copyright 2001, 2008 Thomas Belliard, Laurent Delineau, Edouard Hue, Eric Lebrun
 *
 * This file is part of GEPI.
 *
 * GEPI is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * GEPI is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with GEPI; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

// Initialisations files
require_once("../lib/initialisations.inc.php");
// Resume session
$resultat_session = $session_gepi->security_check();
if ($resultat_session == 'c') {
  header("Location: ../utilisateurs/mon_compte.php?change_mdp=yes");
  die();
} else if ($resultat_session == '0') {
  header("Location: ../logout.php?auto=1");
  die();
};

if (!checkAccess()) {
    header("Location: ../logout.php?auto=1");
    die();
}
//**************** EN-TETE *****************
$titre_page = "Aide en ligne";
require_once("../lib/header.inc");
//**************** FIN EN-TETE *****************

?>
<H1>Le module Inscription</H1>
Le module Inscription permet de dfinir un ou plusieurs items (journe, stage, intervention, ...), au(x)quel(s) les utilisateurs pourront s'inscrire ou se dsinscrire en cochant ou dcochant une croix.
<ul>
<li>La configuration du module est accessible aux administrateurs et  la scolarit.</li>
<li>L'interface d'inscription/dsinscription est accessible aux professeurs, cpe, administrateurs et scolarit&eacute;.</li>
</ul>

<p>Aprs avoir activ le module, les administrateurs et la scolarit&eacute; disposent dans la page d'accueil
 d'un nouveau module de configuration.</p>
<p>La premire tape consiste  configurer ce module :
<ul>
<li><b>Activation / Dsactivation :</b>
<br />Tant que le module n'est pas entirement configur, vous avez intrt  ne pas activer la page autorisant
les inscriptions. De cette faon, ce module reste invisible aux autres utilisateurs (professeurs et cpe).
<br />De mme, lorsque les inscriptions sont closes, vous pouvez dsactiver les inscriptions, tout en gardant l'accs au module de configuration.
</li>
<li><b>Liste des items :</b>
<br />C'est la liste des entits auxquelles les utilisateurs pourront s'incrire.
<br />Chaque entit est caratrise par un identifiant numrique, une date (format AAAA/MM/JJ), une heure (20 caractres max), une description (200 caractres max).
</li>
<li><b>Titre du module :</b>
<br />Vous avez ici la possibilit de personnaliser l'intitul du module visible dans la page d'accueil.
</li>
<li><b>Texte explicatif :</b>
<br />
Ce texte sera visible par les personnes accdant au module d'inscription/dsincription.
</li>
</ul>

<?php require("../lib/footer.inc.php");?>